JBoss API: Class JBossMQProvider

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.jndi
Class JBossMQProvider

    java.lang.Object
      |
      +--org.jboss.jms.jndi.AbstractJMSProviderAdapter
            |
            +--org.jboss.jms.jndi.JBossMQProvider

All Implemented Interfaces:
  JMSProviderAdapter, java.io.Serializable

public class JBossMQProvider
extends AbstractJMSProviderAdapter

A JMS provider adapter for JBossMQ. Created: Fri Dec 22 09:34:04 2000 6/22/01 - hchirino - The queue/topic jndi references are now configed via JMX

Version:

      $Revision: 1.3.4.1 $

Author:
  Peter Antman, Hiram Chirino, Jason Dillon
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `INITIAL_CONTEXT_FACTORY` The initial context factory to use.
`static java.lang.String` | `URL_PKG_PREFIXES` The url package prefixes.

Fields inherited from class org.jboss.jms.jndi.AbstractJMSProviderAdapter
`name, providerURL, queueFactoryRef, topicFactoryRef`

Constructor Summary
`JBossMQProvider()` Default no-argument constructor.

Method Summary
`javax.naming.Context` | `getInitialContext()` Create a new InitialContext suitable for this JMS provider.

Methods inherited from class org.jboss.jms.jndi.AbstractJMSProviderAdapter
`getName, getProviderUrl, getQueueFactoryRef, getTopicFactoryRef, setName, setProviderUrl, setQueueFactoryRef, setTopicFactoryRef`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INITIAL_CONTEXT_FACTORY

    public static final java.lang.String INITIAL_CONTEXT_FACTORY

  The initial context factory to use.

### URL_PKG_PREFIXES

    public static final java.lang.String URL_PKG_PREFIXES

  The url package prefixes.

Constructor Detail

### JBossMQProvider

    public JBossMQProvider()

  Default no-argument constructor.

Method Detail

### getInitialContext

    public javax.naming.Context getInitialContext()
                                           throws javax.naming.NamingException

  Create a new InitialContext suitable for this JMS provider.
  Returns:
    An InitialContext suitable for this JMS provider.
  Throws:
    `javax.naming.NamingException` - Failed to construct context.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.